50 descendants and 50 ancestors of 5eeb9d44206c2654
|
2026-10-22
| ||
| 12:32 | A token may arrive as Authorization: Bearer, checked by the same door as Basic closed check-in: a6c9cb0ded user: zeitgeist tags: bearer-tokens | |
| 11:29 | land rfc25-rung3a-create check-in: cb003bce6b user: dmestas tags: trunk | |
| 03:05 | Review fixes: a team repository is placed before it is named; every move and naming checks the address readers see; startup cannot collide closed check-in: c8680765d7 user: zeitgeist tags: rfc25-rung3a-create | |
| 02:51 | RFC 0025 rung 3a: a repository is created in a namespace, named within it, with its name as key unless that clashes check-in: 34c43c5da5 user: zeitgeist tags: rfc25-rung3a-create | |
| 02:07 | land sync-at-address check-in: 2f4acda8de user: dmestas tags: trunk | |
| 02:03 | Sync reaches a repository at its namespaced address: /r/<namespace>/<handle> and a bare handle go to the fronter closed check-in: 058762922d user: zeitgeist tags: sync-at-address | |
| 01:57 | land rfc25-rung2-addresses check-in: b4c5c958a9 user: dmestas tags: trunk | |
| 01:11 | Review fixes: the API reads addresses through the server; an address that is already here is served, not redirected to itself closed check-in: f3f35aa951 user: zeitgeist tags: rfc25-rung2-addresses | |
| 01:04 | RFC 0025 rung 2: addresses resolve to repositories on pages, sync and the API; a bare handle redirects or lists check-in: 0a73b8779c user: zeitgeist tags: rfc25-rung2-addresses | |
| 00:54 | land rfc25-rung1-handles check-in: 9df7ea4b89 user: dmestas tags: trunk | |
| 00:37 | RFC 0025 rung 1: every repository has a handle (its name, for now) and one address per namespace; zeitforge is reserved closed check-in: 25ff042290 user: zeitgeist tags: rfc25-rung1-handles | |
| 00:30 | land git-import-progress check-in: 1998a55e91 user: dmestas tags: trunk | |
| 00:25 | A Git import shows check-ins copied of its total while it runs, not 0 bytes closed check-in: 639a0ab5a3 user: zeitgeist tags: git-import-progress | |
|
2026-10-21
| ||
| 23:49 |
land rfc-0025-namespaced-repositories
Checks tested the merge with trunk at 27e59a354bc3; trunk has moved since. check-in: c597d64ca0 user: dmestas tags: trunk | |
| 23:49 | land new-repo-name-check check-in: 028c1960fd user: dmestas tags: trunk | |
| 23:43 | RFC 0025: namespaced repositories (a permanent ID is the key, namespace/name the address; flat names as a deployment option) closed check-in: 4b7d962f86 user: zeitgeist tags: rfc-0025-namespaced-repositories | |
| 23:40 | New repository: a failed import gives its name back to its owner; the name is checked as it is typed and at the review closed check-in: 9ed6cff1a6 user: zeitgeist tags: new-repo-name-check | |
| 22:54 |
land zit-0.6.4
Checks tested the merge with trunk at a229472f6256; trunk has moved since. check-in: 27e59a354b user: dmestas tags: trunk | |
| 22:53 | land home-your-tickets check-in: 3903f8453c user: dmestas tags: trunk | |
| 22:43 | zit 0.6.4: Git imports no longer fail Corrupt on tracked check-in manifests (zit #264) closed check-in: e77cfebaed user: zeitgeist tags: zit-0.6.4 | |
| 21:56 | Home tickets are only yours (assigned to you, or filed by you or your agents); four repositories on a narrow screen closed check-in: 7ec4ffff39 user: zeitgeist tags: home-your-tickets | |
| 21:33 | land home-where-you-work check-in: a229472f62 user: dmestas tags: trunk | |
| 21:28 | Home page is repositories, teams and tickets; activity follows the page in and has its own page at /activity closed check-in: ab46100df0 user: zeitgeist tags: home-where-you-work | |
| 21:07 | land home-never-blank check-in: 466e91d92e user: dmestas tags: trunk | |
| 20:41 | Home page never blank: draw the remembered dashboard, or build it within 150ms, and refresh in place closed check-in: ccb069ec10 user: zeitgeist tags: home-never-blank | |
| 20:31 | land home-band-cold check-in: 370b2df794 user: dmestas tags: trunk | |
| 20:18 | Home page arrives as its frame; repositories and activity stream in from ?frag=all closed check-in: d58332e5a2 user: zeitgeist tags: home-band-cold | |
| 19:53 | Home page: compute the waiting-on-you band only under ticket changes, and number only trackers with rows check-in: a31c4873c4 user: zeitgeist tags: home-band-cold | |
| 19:20 | land tree-no-scroll check-in: 6d3a37224b user: dmestas tags: trunk | |
| 18:42 | File lists no longer show a vertical scroll bar: room for the last row history link closed check-in: af78f9c64f user: zeitgeist tags: tree-no-scroll | |
| 18:17 | land agent-signoff check-in: accdb9579a user: dmestas tags: trunk | |
| 18:13 | update agent-signoff from trunk closed check-in: c6215759eb user: dmestas tags: agent-signoff | |
| 18:13 | land new-repo-flow check-in: 1fc21b263f user: dmestas tags: trunk | |
| 18:09 | Agents ask their owner to sign off on deed acts; the owner approves or denies on /me check-in: f535772914 user: zeitgeist tags: agent-signoff | |
| 17:36 | New repository flow: four paths, GitHub mirror setup with a manifest choice, review, and a live import page closed check-in: b9ea4de441 user: zeitgeist tags: new-repo-flow | |
| 17:31 | land go-1273 check-in: 61fb9ced56 user: dmestas tags: trunk | |
| 17:00 | Go 1.27.3 everywhere: go.mod and the build image closed check-in: e40b49fa6a user: zeitgeist tags: go-1273 | |
| 16:06 | land agent-repo-owner check-in: c179d6cab6 user: dmestas tags: trunk | |
| 16:02 | An agent's new repository is owned by whoever answers for it; a refused create leaves nothing behind closed check-in: 4285ed173a user: zeitgeist tags: agent-repo-owner | |
| 14:57 | land git-mirror-in check-in: 3c98b075f7 user: dmestas tags: trunk | |
| 14:30 | Pin zit 0.6.3: force-push imports from a fresh complete fetch (zit#261) closed check-in: d8c8815daa user: zeitgeist tags: git-mirror-in | |
| 13:10 | Git mirrors keep no Git data: fetch shallow per pull, deepen on zit 0.6.2 retry, recover interrupted imports, back up import maps check-in: 377fc58e0f user: zeitgeist tags: git-mirror-in | |
|
2026-10-20
| ||
| 21:27 | Use zit 0.6.1 imported heads for Git mirror default views check-in: 67360a4fd2 user: zeitgeist tags: git-mirror-in | |
| 16:12 | Prepare Git mirrors for zit 0.6.0 and pin the blocked default-head regression check-in: 113b40a71b user: zeitgeist tags: git-mirror-in | |
| 00:47 | update git-mirror-in from trunk check-in: 478c4afb42 user: dmestas tags: git-mirror-in | |
|
2026-10-19
| ||
| 23:26 | update git-mirror-in from trunk check-in: 0d0eee020a user: dmestas tags: git-mirror-in | |
| 17:35 | update git-mirror-in from trunk check-in: 8bbea62b86 user: dmestas tags: git-mirror-in | |
|
2026-10-18
| ||
| 18:54 | update git-mirror-in from trunk check-in: 60c5e1c0ea user: dmestas tags: git-mirror-in | |
| 09:31 | update git-mirror-in from trunk check-in: 0faac5f015 user: dmestas tags: git-mirror-in | |
| 09:23 | update git-mirror-in from trunk check-in: f653e700ab user: dmestas tags: git-mirror-in | |
| 00:57 | Git mirrors: interval still changeable, delete waits for a pull in flight, a following repository is not mirrored out check-in: 5eeb9d4420 user: zeitgeist tags: git-mirror-in | |
| 00:41 | Git mirrors in: review fixes; fixed upstream, cleanup on purge, import deadline, one run per repo; and llms.txt says how to set up Git mirrors both ways check-in: b3b2534708 user: zeitgeist tags: git-mirror-in | |
| 00:14 | Git mirrors in: a repository can follow a Git upstream with git fetch and zit import-git --into check-in: 889e7e9160 user: zeitgeist tags: git-mirror-in | |
|
2026-10-17
| ||
| 21:28 | land git-mirror-sweep check-in: 95060b2730 user: dmestas tags: trunk | |
| 20:43 | Git mirror: sweep leftover key files at start; a push ended by a stop records nothing closed check-in: 9163db9cff user: zeitgeist tags: git-mirror-sweep | |
| 20:36 | land git-mirror-push-fixes check-in: 4f9fd0f7ee user: dmestas tags: trunk | |
| 20:24 | Git mirror push: review fixes; fail closed on private, kill the whole push on cancel, record nothing on a lost lease or stop, keys under the data dir swept at start, one export per key closed check-in: 5d2a13088e user: zeitgeist tags: git-mirror-push-fixes | |
| 20:07 | land git-mirror-push check-in: e0f1d8a3c8 user: dmestas tags: trunk | |
| 20:03 | Git mirror push: export and push trunk after each move, key on disk only for the push, backoff, pause when private or taken down (RFC 0022 rung 2) closed check-in: 902161217a user: zeitgeist tags: git-mirror-push | |
| 19:08 | land git-mirror-setting check-in: cc34a35b51 user: dmestas tags: trunk | |
| 18:16 | land git-mirror-setting check-in: 288962cc67 user: dmestas tags: trunk | |
| 18:16 | Git mirror remote: refuse a leading-dash user, encoded or query characters, IP and one-word hosts closed check-in: e1f76a4d52 user: zeitgeist tags: git-mirror-setting | |
| 18:06 | Mirror to Git setting: deploy key sealed, settings section, private and takedown refusals (RFC 0022 rung 1) check-in: 6e042968d1 user: zeitgeist tags: git-mirror-setting | |
| 00:16 | land rfc23-rung1 check-in: 3f76972ced user: dmestas tags: trunk | |
| 00:09 | land menu-flip check-in: 1e793e9f26 user: dmestas tags: trunk | |
| 00:07 | RFC 0023 rung 1: disable and legal hold, 451 on every door closed check-in: 64a9cf6d68 user: zeitgeist tags: rfc23-rung1 | |
|
2026-10-16
| ||
| 23:59 | Fleet row menu flips rightward at phone width closed check-in: 4a95dbb2d0 user: zeitgeist tags: menu-flip | |
| 23:23 | land rfc23-takedown check-in: 113500a5d9 user: dmestas tags: trunk | |
| 23:16 | RFC 0023: takedown and legal hold closed check-in: bc632c2ebd user: zeitgeist tags: rfc23-takedown | |
| 23:11 | land fleet-delete check-in: b24a4ea1e8 user: dmestas tags: trunk | |
| 23:05 | Fleet rows stop serving and delete any store for a site admin closed check-in: f18b3d07b7 user: zeitgeist tags: fleet-delete | |
|
2026-10-15
| ||
| 21:03 | land site-scope-fixes check-in: b51117ef35 user: dmestas tags: trunk | |
| 20:59 | site token: hold the private line on the fleet pages, refuse worker tokens and the forge bucket, re-check streams closed check-in: e25fa23dca user: zeitgeist tags: site-scope-fixes | |
| 20:43 | land site-scoped-tokens check-in: 1491237bba user: dmestas tags: trunk | |
| 20:38 | Site scope: a flagged forge agent's token acts as site admin, never past a private repository it holds no grant on (RFC 0021) closed check-in: 7a9a8bf577 user: zeitgeist tags: site-scoped-tokens | |
| 17:12 | land zit-cache-ceiling check-in: dd36b9ecb3 user: dmestas tags: trunk | |
| 09:59 | merge trunk: keep both the zit-cache-mb and debug-addr flags closed check-in: 8c288280a9 user: zeitgeist tags: zit-cache-ceiling | |
| 09:57 | land debug-pprof check-in: 6240eaa396 user: dmestas tags: trunk | |
| 08:26 | release a dropped client's cache charges, set the ceiling before listening, count listing line overhead check-in: 3558190bef user: zeitgeist tags: zit-cache-ceiling | |
| 08:22 | bound zit caches by bytes forge-wide: listings by bytes, blobs by capacity, one ceiling check-in: b360ffbf9d user: zeitgeist tags: zit-cache-ceiling | |
| 04:14 | serve Go runtime profiles on a loopback --debug-addr closed check-in: 6191a3659a user: zeitgeist tags: debug-pprof | |
| 00:17 | land rfc-0022-git-mirror check-in: e9e293227d user: dmestas tags: trunk | |
| 00:10 | RFC 0022: mirror a public repository to a Git host from its settings closed check-in: 93b90dcaee user: zeitgeist tags: rfc-0022-git-mirror | |
|
2026-10-14
| ||
| 19:43 | land agent-cutover check-in: 1ac543890a user: dmestas tags: trunk | |
| 19:25 | Cutover review: drop agents' hand-issued push rows, refuse untokened agent sessions, one UPDATE in SetForgeAgent, scopes wording closed check-in: a426a8ee0c user: zeitgeist tags: agent-cutover | |
| 19:17 | Cutover: retire every agent password, refuse it at every door, rewrite /start and llms.txt for agent accounts check-in: d9219b3582 user: zeitgeist tags: agent-cutover | |
| 17:43 | land no-false-landed check-in: 396545a79f user: dmestas tags: trunk | |
| 17:38 | land agent-pages check-in: 478bf78fee user: dmestas tags: trunk | |
| 17:37 | A landing never reads as already landed against itself, nor in the moments after an update from its target closed check-in: df2f8cb9ae user: zeitgeist tags: no-false-landed | |
| 17:31 | update agent-pages from trunk closed check-in: 135060ecc1 user: dmestas tags: agent-pages | |
| 14:57 | land agent-audit-via check-in: 090b70e0d4 user: dmestas tags: trunk | |
| 14:56 | Merge trunk into agent-pages; People names a forge agent's answerable admin with the forge badge check-in: 6a3a127a65 user: zeitgeist tags: agent-pages | |
| 14:53 | update agent-audit-via from trunk closed check-in: 2a57ad299d user: dmestas tags: agent-audit-via | |
| 14:53 | land forge-agents check-in: 6e4fb75761 user: dmestas tags: trunk | |
| 13:35 | Forge agents: the agent guard refusals are Forbidden and answer forbidden at the API; a disabled site admin is shielded from lowering too; the RFC names the policy acts outside the edge closed check-in: 9113e04c34 user: zeitgeist tags: forge-agents | |
| 13:34 | Agent pages: the one-time token page is no-store, a token-bound request manages nothing, failed reads are logged check-in: 362ecbdf97 user: zeitgeist tags: agent-pages | |
| 13:28 | Merge trunk into agent-pages check-in: 478d39e3b9 user: zeitgeist tags: agent-pages | |
| 13:27 | Forge agents test: a revoke is judged once the site admin holds something, and the store guard's refusal counts as refused check-in: fc161db2c3 user: zeitgeist tags: forge-agents | |
| 13:24 | Forge agents: the store guard refuses a forge agent lowering a site admin or another forge agent on any grant door, and its s stops at a deed a site admin or forge agent holds check-in: ffd202d023 user: zeitgeist tags: forge-agents | |
| 13:05 | Forge agents test: the rig grants no role, so the reader string is written directly before the raise and lower caps checks check-in: 1be63f3e22 user: zeitgeist tags: forge-agents | |
| 13:02 | Forge agents: a forge agent may raise a site admin's repository letters (grant, caps that add) and never lower them; another forge agent stays refused check-in: 3a3135fa04 user: zeitgeist tags: forge-agents | |